[AI66-1]FTO Search - Create Task

post
https://connect.patsnap.com/ai/fto/submit
Try in Sandbox

Submit technical solution content to initiate an FTO search task. The system will analyze the input technical solution and generate a task ID for subsequent steps.

Note: The input text and language parameters cannot be empty. Currently, two languages are supported: CN and EN.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apd_end
string20241231
Application date end time, format: YYYYMMDD
apd_start
string20200101
Application date start time, format: YYYYMMDD
country
array[ "CN", "US", "EP" ]
Patent office list to limit the scope of patent offices for search
exclude_company
array[ "Apple Inc", "Samsung Electronics" ]
List of companies to exclude, patents from these companies will be excluded from search results
include_company
array[ "Huawei Technologies", "Xiaomi Corp" ]
List of companies to include, patents from these companies will be prioritized in search results
input
Required
string空调器及其除霜控制方法\n技术领域\n本发明涉及空调器及其控制技术,具体是一种空调器及其除霜控制方法。\n背景技术\n空调器在制热时,室外换热器易结霜,影响制热效果,需除霜。现有除霜结束判断依据是室外盘管温度高于设定值并持续一段时间。然而,大风天气下,室外换热器散热快,即使霜已融化,盘管温度也可能无法达到除霜退出温度,导致除霜延迟甚至无法退出,影响室内舒适度。\n技术问题\n本发明旨在解决大风天气下,现有空调器因室外换热器散热快导致除霜退出延迟或无法退出的问题。\n技术方案\n本发明提供一种空调器的除霜控制方法,包括:\n除霜运行时,获取室外风速,检测室外盘管温度。\n获取室外风速等级对应的除霜退出温度(不同风速等级对应不同退出温度,风速越高,退出温度越低)。\n当室外盘管温度高于对应风速等级的除霜退出温度时,控制空调器退出除霜。\n此外,除霜运行时,可根据室外风速限制压缩机最高运行频率(风速越高,允许的最高频率越高)。\n空调器可通过室外风速传感器(单个或多个安装在室外机不同表面)或通讯模块(联网获取)获取室外风速。\n本发明还提供一种空调器,包括:\n风速获取模块\n室外盘管温度检测模块\n控制模块(根据风速等级和盘管温度控制除霜启停)\n存储模块(存储风速等级对应的除霜退出温度和压缩机最高运行频率)\n有益效果\n本发明根据风速调整除霜退出温度,能更准确反映除霜完成的真实状态,避免风力影响,确保及时退出除霜,提升室内制热舒适度。\n最佳实施方式\n空调制热时,检测室外盘管温度Te和环境温度Tao,根据Tao确定霜点温度Tes,当Te < Tes时进入除霜。除霜时,室内风机低速,室外风机停,根据室外风速m限制压缩机最高运行频率fmax(m≤a, fmax=f; a<m≤b, fmax=f+f1; b<m≤c, fmax=f+f2; c<m, fmax=f+f3)。同时,获取对应风速等级的除霜退出温度T1(m≤a, T1=T0; a<m≤b, T1=T0-t1; b<m≤c, T1=T0-t2; c<m, T1=T0-t3)。当Te > T1时,退出除霜。\n室外风速可通过安装在室外机不同表面的风速传感器(取最大值或平均值)或联网获取。\n实施例\n空调器开机进入制热,检测温度,满足除霜条件后进入除霜。控制风机和压缩机频率,根据风速和盘管温度判断是否退出除霜,退出后恢复制热。\n空调器包含风速获取、温度检测、控制和存储模块,实现上述控制逻辑。\n本发明根据风速调整除霜策略,提高了除霜的准确性和效率,保证了室内舒适度。
User input technical description or product description
lang
stringcn
Language type (cn, en)
legal_status
array[ 1, 2 ]
Legal status list to filter patents with specific legal status (0-Invalid,1-Valid, 2-Under examination)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
task_id
string80d440b7-80a5-4233-a75f-ab72b0885c88
Task id
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "task_id": "80d440b7-80a5-4233-a75f-ab72b0885c88"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms